Skip to main content

Update Payment Link

Endpoint for updating a Payment Link.

info

Please be aware that this endpoint requires a Manage Payment Links API Key.

PUT /api/v1/groups/{group_id}/payment-links/{payment_link_id}

Request Parameters​

NameDescriptionTypeRequired
titleTitle of the Payment Link. It will be seen by end-users, make sure it is recognizable.stringRequired
descriptionDescription of the Payment Link. It will be seen by end-users.string
amountFixed amount to be charged. Must be greater than zero.uint64Required
processor_idProcessor ID used for the transaction.stringRequired
card_enabledIf true, Card payment option will be shown on the public page. Either card_enabled or ach_enabled must be set to true.boolcard_enabled or ach_enabled is Required
ach_enabledIf true, ACH payment option will be shown on the public page. Either card_enabled or ach_enabled must be set to true.boolcard_enabled or ach_enabled is Required
expires_atTimestamp after which the Payment Link can no longer be paid. Must represent a future instant. Expiration later on the same calendar day is supported by the API. The calendar date shown in the invitation email is based on the date in the submitted timestamp's UTC offset, rather than its UTC-converted date. When omitted, the Payment Link never expires.string(RFC3339 format)
redirect_urlAn HTTPS URL your end-user is redirected to after a successful payment.string
info

A Payment Link that has already been paid, expired or canceled cannot be updated.

Response​

CodeDescription
200Success
400Bad Request / Validation error
500Internal Error

Example Usage​

update.js
var headers = new Headers();
headers.append('Authorization', 'API_KEY');

var requestOptions = {
method: 'PUT',
headers: headers,
redirect: 'follow',
body: {
// request body data
}
};
const group_id = '';
const payment_link_id = '';
const url = `https://api.reverepayments.dev/api/v1/groups/${group_id}/payment-links/${payment_link_id}`;
fetch(url, requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.log('error', error));

Example Request​

{
"title": "Consulting session (updated)",
"description": "1.5 hour consulting session",
"amount": 22500,
"processor_id": "fbf2e44a-eed6-426f-b0e2-a3a5b34377c0",
"card_enabled": true,
"ach_enabled": false,
"expires_at": "2026-12-25T00:00:00.000Z",
"redirect_url": "https://example.com/thank-you"
}

Example Success Response​

{
"id": "7e44c370-078e-4fa3-9909-bdd8554eb068",
"group_id": "8059f5c6-e1cd-4e46-9196-1d7e47401a3e",
"title": "Consulting session (updated)",
"description": "1.5 hour consulting session",
"amount": 22500,
"currency": "USD",
"card_enabled": true,
"ach_enabled": false,
"processor_id": "fbf2e44a-eed6-426f-b0e2-a3a5b34377c0",
"expires_at": "2026-12-25T00:00:00Z",
"redirect_url": "https://example.com/thank-you",
"status": "active",
"url": "https://merchant.reverepayments.dev/payment-links/7e44c370-078e-4fa3-9909-bdd8554eb068",
"created_at": "2025-11-18T14:27:10.661796389Z",
"updated_at": "2025-11-18T15:02:41.211348Z"
}